Subject: [Sipping] RE: Concerning the a=ecan SDP attribute in draft-ietf-sipping-rea ltimefax-00

From: Jean-Francois Mule <[email-masked]>
Date: Fri, 1 Mar 2002 17:12:50 -0700

Bill,

After more considerations, I agree it is not a good idea to pass the echo cancellation parameter to the remote end since this is a local dsp/data pump decision.  I guess we got too excited by the silencesupp settings!

This change did not make draft-ietf-sipping-realtimefax-00 bit will be in draft-01.  
Thanks for your comment,
/Jean-Francois.

> >From: "Bill Sulzen" <[email-masked]>
> >To: <[email-masked]>
> >Cc: "Jean-Francois Mule" <[email-masked]>
> >Subject: Concerning the a=ecan SDP attribute in 
> draft-mule-sip-t38callflows-02
> >Date: Fri, 25 Jan 2002 14:55:35 -0500
> >X-Mailer: Microsoft Outlook Express 6.00.2600.0000
> >
> >draft-mule-sip-t38callflows-02 has a provision for falling back to a
> >"pass-through mode" in the event of a failure to negotiate T.38. In a
> >nutshell, this is achieved by re-INVITING for a G.711 codec, 
> specifying that
> >silence suppression is to be disabled (a=silenceSupp ...), and also
> >specifying a value for echo cancellation (a=ecan ...).
> >
> >The silenceSupp setting makes sense to me, and the ecan 
> attribute did, too,
> >at least initially. But after further consideration, it does 
> not make as
> >much sense. What does it mean to signal ecan "on" or "off"? 
> How can the UA
> >at one end of a VoIP call know the proper setting for the UA 
> at the far end?
> >Further, it may be that ecan should be enabled on one end, 
> but disabled on
> >the other end. This knowledge is localized to each UA, and probably
> >shouldn't be included in the SDP, as its local setting has 
> no bearing on the
> >far end, and the far end's setting is independent of the local end.
> >
> >Now it may be that the ecan setting in effect on each UA 
> should change for
> >the duration of a fax passthrough transfer, but this is 
> probably outside of
> >the scope of this draft, unless this draft were to include a 
> generalized
> >attribute that means "hey, I'm trying to send a fax via 
> passthrough, do
> >whatever you need to do on your end". Maybe something like
> >"a=fax-passthrough". Or, this need to adjust ecan could be 
> individually
> >determined by each UA via other indications from its 
> telephony interfaces.
> >
> >Thoughts?
> >
> >Thanks,
> >Bill Sulzen
> >
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP